Bug 185076 - init segfault kernel-2.6.15-1.2038_FC5
init segfault kernel-2.6.15-1.2038_FC5
Status: CLOSED DUPLICATE of bug 182731
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 07:10 EST by Neal Becker
Modified: 2015-01-04 17:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 16:19:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-03-10 07:10:33 EST
Description of problem: 
[something about cannot allocate pci resource 7, 8] 
init[1] segfault fff...c0 
rip 4cf7b3 
rsp 7fffffe09238 
error 6 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
 
 
Steps to Reproduce: 
1. 
2. 
3. 
   
Actual results: 
 
 
Expected results: 
 
 
Additional info:
Comment 1 Neal Becker 2006-03-10 07:57:13 EST
1. I have tested all devel kernels and have never hit this problem before- it  
is new.  
  
2.  
 
/sbin/lspci  
00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge (rev 01)  
00:01.0 PCI bridge: ATI Technologies Inc Unknown device 5a3f  
00:04.0 PCI bridge: ATI Technologies Inc Unknown device 5a36  
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller  
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller  
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller  
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 11)  
00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE  
Controller ATI  
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge  
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge  
00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC'97  
Audio Controller (rev 02)  
00:14.6 Modem: ATI Technologies Inc ATI SB400 - AC'97 Modem Controller (rev  
02)  
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]  
HyperTransport Technology Configuration  
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]  
Address Map  
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM  
Controller  
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]  
Miscellaneous Control  
01:05.0 VGA compatible controller: ATI Technologies Inc ATI Radeon XPRESS 200M  
5955 (PCIE)  
06:02.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g]  
802.11g Wireless LAN Controller (rev 02)  
06:04.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller  
06:04.2 FireWire (IEEE 1394): Texas Instruments OHCI Compliant IEEE 1394 Host  
Controller  
06:04.3 Mass storage controller: Texas Instruments PCIxx21 Integrated  
FlashMedia Controller  
06:04.4 Class 0805: Texas Instruments PCI6411, PCI6421, PCI6611, PCI6621,  
PCI7411, PCI7421, PCI7611, PCI7621 Secure Digital (SD) Controller  
06:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd.  
RTL-8139/8139C/8139C+ (rev 10)  
  
3. 
dmesg 
Bootdata ok (command line is ro root=/dev/VolGroup01/LogVol00 rhgb quiet) 
Linux version 2.6.15-1.2032_FC5 (bhcompile@hs20-bc1-5.build.redhat.com) (gcc 
version 4.1.0 20060304 (Red Hat 4.1.0-2)) #1 SMP Tue Mar 7 22:18:30 EST 2006 
BIOS-provided physical RAM map: 
 BIOS-e820: 0000000000000000 - 000000000009f800 (usable) 
 BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved) 
 BIOS-e820: 00000000000d0000 - 0000000000100000 (reserved) 
 BIOS-e820: 0000000000100000 - 000000003fea0000 (usable) 
 BIOS-e820: 000000003fea0000 - 000000003feac000 (ACPI data) 
 BIOS-e820: 000000003feac000 - 000000003ff00000 (ACPI NVS) 
 BIOS-e820: 000000003ff00000 - 0000000040000000 (reserved) 
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved) 
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved) 
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved) 
 BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved) 
ACPI: RSDP (v000 PTLTD                                 ) @ 0x00000000000f7c50 
ACPI: RSDT (v001 PTLTD    RSDT   0x06040000  LTP 0x00000000) @ 
0x000000003fea4822 
ACPI: FADT (v001 HP     Piranha  0x06040000 ATI  0x000f4240) @ 
0x000000003feabe10 
ACPI: SSDT (v001 PTLTD  POWERNOW 0x06040000  LTP 0x00000001) @ 
0x000000003feabe84 
ACPI: MADT (v001 PTLTD           APIC   0x06040000  LTP 0x00000000) @ 
0x000000003feabf74 
ACPI: MCFG (v001 PTLTD    MCFG   0x06040000  LTP 0x00000000) @ 
0x000000003feabfc4 
ACPI: DSDT (v001     HP     309B 0x06040000 MSFT 0x0100000e) @ 
0x0000000000000000 
Scanning NUMA topology in Northbridge 24 
Number of nodes 1 
Node 0 MemBase 0000000000000000 Limit 000000003fea0000 
NUMA: Using 63 for the hash shift. 
Using node hash shift of 63 
Bootmem setup node 0 0000000000000000-000000003fea0000 
On node 0 totalpages: 256452 
  DMA zone: 2782 pages, LIFO batch:0 
  DMA32 zone: 253670 pages, LIFO batch:31 
  Normal zone: 0 pages, LIFO batch:0 
  HighMem zone: 0 pages, LIFO batch:0 
ATI board detected. Disabling timer routing over 8254. 
ACPI: PM-Timer IO Port: 0x8008 
ACPI: Local APIC address 0xfee00000 
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled) 
Processor #0 15:4 APIC version 16 
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1]) 
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0]) 
IOAPIC[0]: apic_id 1, version 33, address 0xfec00000, GSI 0-23 
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 21 low level) 
Setting APIC routing to physical flat 
Using ACPI (MADT) for SMP configuration information 
Allocating PCI resources starting at 50000000 (gap: 40000000:a0000000) 
Checking aperture... 
CPU 0: aperture @ c590000000 size 32 MB 
Aperture from northbridge cpu 0 too small (32 MB) 
No AGP bridge found 
SMP: Allowing 1 CPUs, 0 hotplug CPUs 
Built 1 zonelists 
Kernel command line: ro root=/dev/VolGroup01/LogVol00 rhgb quiet 
Initializing CPU#0 
PID hash table entries: 4096 (order: 12, 131072 bytes) 
time.c: Using 3.579545 MHz WALL PM GTOD PIT/TSC timer. 
time.c: Detected 1989.852 MHz processor. 
Console: colour VGA+ 80x25 
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes) 
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes) 
Memory: 1022300k/1047168k available (2320k kernel code, 24480k reserved, 1211k 
data, 196k init) 
Calibrating delay using timer specific routine.. 3988.10 BogoMIPS 
(lpj=7976217) 
Security Framework v1.0.0 initialized 
SELinux:  Initializing. 
SELinux:  Starting in permissive mode 
selinux_register_security:  Registering secondary module capability 
Capability LSM initialized as secondary 
Mount-cache hash table entries: 256 
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line) 
CPU: L2 Cache: 1024K (64 bytes/line) 
CPU 0(1) -> Node 0 -> Core 0 
Using local APIC timer interrupts. 
result 12436591 
Detected 12.436 MHz APIC timer. 
Brought up 1 CPUs 
testing NMI watchdog ... OK. 
0 
checking if image is initramfs... it is 
Freeing initrd memory: 1728k freed 
DMI present. 
NET: Registered protocol family 16 
ACPI: bus type pci registered 
PCI: Using configuration type 1 
PCI: Using MMCONFIG at e0000000 
ACPI: Subsystem revision 20060127 
GSI 21 sharing vector 0xB1 and IRQ 21 
ACPI: Interpreter enabled 
ACPI: Using IOAPIC for interrupt routing 
ACPI: PCI Root Bridge [PCI0] (0000:00) 
PCI: Probing PCI hardware (bus 00) 
PCI: Ignoring BAR0-3 of IDE controller 0000:00:14.1 
Boot video device is 0000:01:05.0 
PCI: Transparent bridge - 0000:00:14.4 
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT] 
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PB4_._PRT] 
ACPI: PCI Interrupt Link [LNKA] (IRQs 10 11) *0, disabled. 
ACPI: PCI Interrupt Link [LNKB] (IRQs 10 11) *0, disabled. 
ACPI: PCI Interrupt Link [LNKC] (IRQs 10 11) *0, disabled. 
ACPI: PCI Interrupt Link [LNKD] (IRQs 10 11) *0, disabled. 
ACPI: PCI Interrupt Link [LNKE] (IRQs 10 11) *0, disabled. 
ACPI: PCI Interrupt Link [LNKF] (IRQs 10 11) *0, disabled. 
ACPI: PCI Interrupt Link [LNKG] (IRQs 10 11) *0, disabled. 
ACPI: PCI Interrupt Link [LNKH] (IRQs 10 11) *0, disabled. 
ACPI: Embedded Controller [EC0] (gpe 26) interrupt mode. 
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P2P_._PRT] 
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT] 
Linux Plug and Play Support v0.97 (c) Adam Belay 
pnp: PnP ACPI init 
pnp: PnP ACPI: found 10 devices 
usbcore: registered new driver usbfs 
usbcore: registered new driver hub 
PCI: Using ACPI for IRQ routing 
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report 
PCI: Cannot allocate resource region 7 of bridge 0000:00:04.0 
PCI: Cannot allocate resource region 8 of bridge 0000:00:04.0 
PCI-DMA: Disabling IOMMU. 
pnp: 00:08: ioport range 0x1080-0x1080 has been reserved 
pnp: 00:08: ioport range 0x40b-0x40b has been reserved 
pnp: 00:08: ioport range 0x4d0-0x4d1 has been reserved 
pnp: 00:08: ioport range 0x4d6-0x4d6 has been reserved 
pnp: 00:08: ioport range 0x870-0x87f has been reserved 
PCI: Bridge: 0000:00:01.0 
  IO window: 9000-9fff 
  MEM window: c0100000-c01fffff 
  PREFETCH window: c8000000-cfffffff 
PCI: Bridge: 0000:00:04.0 
  IO window: disabled. 
  MEM window: disabled. 
  PREFETCH window: disabled. 
PCI: Bus 7, cardbus bridge: 0000:06:04.0 
  IO window: 0000a400-0000a4ff 
  IO window: 0000a800-0000a8ff 
  PREFETCH window: 50000000-51ffffff 
  MEM window: 52000000-53ffffff 
PCI: Bridge: 0000:00:14.4 
  IO window: a000-afff 
  MEM window: c0200000-c02fffff 
  PREFETCH window: 50000000-51ffffff 
PCI: Setting latency timer of device 0000:00:04.0 to 64 
GSI 16 sharing vector 0xB9 and IRQ 16 
ACPI: PCI Interrupt 0000:06:04.0[A] -> GSI 20 (level, low) -> IRQ 16 
IA32 emulation $Id: sys_ia32.c,v 1.32 2002/03/24 13:02:28 ak Exp $ 
audit: initializing netlink socket (disabled) 
audit(1141974660.152:1): initialized 
Total HugeTLB memory allocated, 0 
VFS: Disk quotas dquot_6.5.1 
Dquot-cache hash table entries: 512 (order 0, 4096 bytes) 
SELinux:  Registering netfilter hooks 
Initializing Cryptographic API 
ksign: Installing public key data 
Loading keyring 
- Added public key ABAB1965D89C5E80 
- User ID: Red Hat, Inc. (Kernel Module GPG key) 
io scheduler noop registered 
io scheduler anticipatory registered 
io scheduler deadline registered 
io scheduler cfq registered (default) 
PCI: Setting latency timer of device 0000:00:04.0 to 64 
pcie_portdrv_probe->Dev[5a36:1002] has invalid IRQ. Check vendor BIOS 
assign_interrupt_mode Found MSI capability 
Allocate Port Service[0000:00:04.0:pcie00] 
Allocate Port Service[0000:00:04.0:pcie01] 
pci_hotplug: PCI Hot Plug PCI Core version: 0.5 
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3]) 
ACPI: Processor [CPU0] (supports 8 throttling states) 
ACPI: Thermal Zone [THRM] (0 C) 
Real Time Clock Driver v1.12ac 
Linux agpgart interface v0.101 (c) Dave Jones 
PNP: PS/2 Controller [PNP0303:KBC0,PNP0f13:MSE0] at 0x60,0x64 irq 1,12 
i8042.c: Detected active multiplexing controller, rev 1.1. 
serio: i8042 AUX0 port at 0x60,0x64 irq 12 
serio: i8042 AUX1 port at 0x60,0x64 irq 12 
serio: i8042 AUX2 port at 0x60,0x64 irq 12 
serio: i8042 AUX3 port at 0x60,0x64 irq 12 
serio: i8042 KBD port at 0x60,0x64 irq 1 
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled 
GSI 17 sharing vector 0xC1 and IRQ 17 
ACPI: PCI Interrupt 0000:00:14.6[B] -> GSI 17 (level, low) -> IRQ 17 
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize 
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2 
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx 
ATIIXP: IDE controller at PCI slot 0000:00:14.1 
GSI 18 sharing vector 0xC9 and IRQ 18 
ACPI: PCI Interrupt 0000:00:14.1[A] -> GSI 16 (level, low) -> IRQ 18 
ATIIXP: chipset revision 0 
ATIIXP: not 100% native mode: will probe irqs later 
    ide0: BM-DMA at 0x8410-0x8417, BIOS settings: hda:DMA, hdb:DMA 
    ide1: BM-DMA at 0x8418-0x841f, BIOS settings: hdc:DMA, hdd:pio 
Probing IDE interface ide0... 
hda: FUJITSU MHV2080AH, ATA DISK drive 
hdb: HTS721080G9AT00, ATA DISK drive 
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14 
Probing IDE interface ide1... 
hdc: HL-DT-ST DVD-RW GWA-4082N, ATAPI CD/DVD-ROM drive 
ide1 at 0x170-0x177,0x376 on irq 15 
hda: max request size: 128KiB 
hda: 156301488 sectors (80026 MB) w/8192KiB Cache, CHS=65535/16/63, UDMA(100) 
hda: cache flushes supported 
 hda: hda1 hda2 hda3 hda4 < hda5 > 
hdb: max request size: 512KiB 
hdb: 156301488 sectors (80026 MB) w/7539KiB Cache, CHS=16383/255/63, UDMA(100) 
hdb: cache flushes supported 
 hdb: hdb1 hdb2 hdb3 
hdc: ATAPI 31X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, DMA 
Uniform CD-ROM driver Revision: 3.20 
ide-floppy driver 0.99.newide 
ACPI: PCI Interrupt 0000:06:04.0[A] -> GSI 20 (level, low) -> IRQ 16 
Yenta: CardBus bridge found at 0000:06:04.0 [103c:309b] 
Yenta: Enabling burst memory read transactions 
Yenta: Using INTVAL to route CSC interrupts to PCI 
Yenta: Routing CardBus interrupts to ISA 
Yenta TI: socket 0000:06:04.0, mfunc 0x00a61b22, devctl 0x64 
Yenta: ISA IRQ mask 0x0ef8, PCI irq 16 
Socket status: 30000006 
pcmcia: parent PCI bridge I/O window: 0xa000 - 0xafff 
pcmcia: parent PCI bridge Memory window: 0xc0200000 - 0xc02fffff 
pcmcia: parent PCI bridge Memory window: 0x50000000 - 0x51ffffff 
usbcore: registered new driver libusual 
usbcore: registered new driver hiddev 
usbcore: registered new driver usbhid 
drivers/usb/input/hid-core.c: v2.6:USB HID core driver 
mice: PS/2 mouse device common for all mice 
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27 
md: bitmap version 4.39 
NET: Registered protocol family 2 
IP route cache hash table entries: 32768 (order: 6, 262144 bytes) 
TCP established hash table entries: 131072 (order: 10, 4194304 bytes) 
TCP bind hash table entries: 65536 (order: 9, 2097152 bytes) 
TCP: Hash tables configured (established 131072 bind 65536) 
TCP reno registered 
TCP bic registered 
Initializing IPsec netlink socket 
NET: Registered protocol family 1 
NET: Registered protocol family 17 
powernow-k8: Found 1 AMD Athlon 64 / Opteron processors (version 1.60.0) 
powernow-k8:    0 : fid 0xc (2000 MHz), vid 0x4 (1450 mV) 
powernow-k8:    1 : fid 0xa (1800 MHz), vid 0x6 (1400 mV) 
powernow-k8:    2 : fid 0x8 (1600 MHz), vid 0x8 (1350 mV) 
powernow-k8:    3 : fid 0x0 (800 MHz), vid 0x16 (1000 mV) 
cpu_init done, current fid 0xc, vid 0x2 
powernow-k8: ph2 null fid transition 0xc 
ACPI wakeup devices: 
 LID KBC0 MSE0 ELAN 
ACPI: (supports S0 S3 S4 S5) 
Freeing unused kernel memory: 196k freed 
Write protecting the kernel read-only data: 435k 
input: AT Translated Set 2 keyboard as /class/input/input0 
device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com 
Synaptics Touchpad, model: 1, fw: 6.2, id: 0x1a0b1, caps: 0xa04713/0x200000 
input: SynPS/2 Synaptics TouchPad as /class/input/input1 
kjournald starting.  Commit interval 5 seconds 
EXT3-fs: mounted filesystem with ordered data mode. 
SELinux:  Disabled at runtime. 
SELinux:  Unregistering netfilter hooks 
ACPI: PCI Interrupt 0000:00:14.5[B] -> GSI 17 (level, low) -> IRQ 17 
ACPI: PCI Interrupt 0000:00:14.6[B] -> GSI 17 (level, low) -> IRQ 17 
MC'97 0 converters and GPIO not ready (0x1) 
8139too Fast Ethernet driver 0.9.27 
GSI 19 sharing vector 0xD1 and IRQ 19 
ACPI: PCI Interrupt 0000:06:06.0[A] -> GSI 22 (level, low) -> IRQ 19 
eth0: RealTek RTL8139 at 0xffffc2000000e400, 00:0f:b0:be:cf:5b, IRQ 19 
eth0:  Identified 8139 chip type 'RTL-8100B/8139D' 
8139cp: 10/100 PCI Ethernet driver v1.2 (Mar 22, 2004) 
GSI 20 sharing vector 0xD9 and IRQ 20 
ACPI: PCI Interrupt 0000:00:13.2[A] -> GSI 19 (level, low) -> IRQ 20 
ehci_hcd 0000:00:13.2: EHCI Host Controller 
ehci_hcd 0000:00:13.2: new USB bus registered, assigned bus number 1 
ehci_hcd 0000:00:13.2: irq 20, io mem 0xc0002000 
ehci_hcd 0000:00:13.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004 
usb usb1: configuration #1 chosen from 1 choice 
hub 1-0:1.0: USB hub found 
hub 1-0:1.0: 8 ports detected 
ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI) 
ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 19 (level, low) -> IRQ 20 
ohci_hcd 0000:00:13.0: OHCI Host Controller 
ohci_hcd 0000:00:13.0: new USB bus registered, assigned bus number 2 
ohci_hcd 0000:00:13.0: irq 20, io mem 0xc0000000 
usb usb2: configuration #1 chosen from 1 choice 
hub 2-0:1.0: USB hub found 
hub 2-0:1.0: 4 ports detected 
ACPI: PCI Interrupt 0000:00:13.1[A] -> GSI 19 (level, low) -> IRQ 20 
ohci_hcd 0000:00:13.1: OHCI Host Controller 
ohci_hcd 0000:00:13.1: new USB bus registered, assigned bus number 3 
ohci_hcd 0000:00:13.1: irq 20, io mem 0xc0001000 
usb usb3: configuration #1 chosen from 1 choice 
hub 3-0:1.0: USB hub found 
hub 3-0:1.0: 4 ports detected 
ieee1394: Initialized config rom entry `ip1394' 
GSI 22 sharing vector 0xE1 and IRQ 22 
ACPI: PCI Interrupt 0000:06:04.2[C] -> GSI 23 (level, low) -> IRQ 22 
ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[22]  MMIO=[c0209000-c02097ff]  
Max Packet=[2048]  IR/IT contexts=[4/8] 
usb 3-3: new low speed USB device using ohci_hcd and address 2 
Non-volatile memory driver v1.2 
usb 3-3: configuration #1 chosen from 1 choice 
input: Logitech Optical USB Mouse as /class/input/input2 
input: USB HID v1.10 Mouse [Logitech Optical USB Mouse] on usb-0000:00:13.1-3 
Floppy drive(s): fd0 is 1.44M 
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[5c3f0200b263407a] 
floppy0: no floppy controllers found 
lp: driver loaded but no devices found 
NET: Registered protocol family 10 
lo: Disabled Privacy Extensions 
IPv6 over IPv4 tunneling driver 
ACPI: AC Adapter [ACAD] (on-line) 
ACPI: Battery Slot [BAT1] (battery present) 
ACPI: Power Button (FF) [PWRF] 
ACPI: Sleep Button (FF) [SLPF] 
ACPI: Lid Switch [LID] 
ACPI: Power Button (CM) [PWRB] 
ibm_acpi: ec object not found 
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no) 
md: Autodetecting RAID arrays. 
md: autorun ... 
md: ... autorun DONE. 
EXT3 FS on dm-0, internal journal 
kjournald starting.  Commit interval 5 seconds 
EXT3 FS on hdb2, internal journal 
EXT3-fs: mounted filesystem with ordered data mode. 
Adding 2031608k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1 
across:2031608k 
Adding 2031608k swap on /dev/VolGroup01/LogVol01.  Priority:-2 extents:1 
across:2031608k 
ip_tables: (C) 2000-2006 Netfilter Core Team 
Netfilter messages via NETLINK v0.30. 
ip_conntrack version 2.4 (4090 buckets, 32720 max) - 312 bytes per conntrack 
Bluetooth: Core ver 2.8 
NET: Registered protocol family 31 
Bluetooth: HCI device and connection manager initialized 
Bluetooth: HCI socket layer initialized 
Bluetooth: L2CAP ver 2.8 
Bluetooth: L2CAP socket layer initialized 
Bluetooth: RFCOMM socket layer initialized 
Bluetooth: RFCOMM TTY layer initialized 
Bluetooth: RFCOMM ver 1.7 
driverloader: module license 'see LICENSE file; Copyright (c)2003-2004 
Linuxant inc.' taints kernel. 
driverloader: stack=8192/88/0 REGPARM SMP 
usbcore: registered new driver driverloader 
driverloader: bcmwl564.sys: 0xffffc20010287000..0xffffc200102fe000 entry = 
ffffc20010297980 (pbase = 0x10000) 
ACPI: PCI Interrupt 0000:06:02.0[A] -> GSI 21 (level, low) -> IRQ 21 
0000:06:02.0: cache line size not set; forcing 32 
eth1: New link status: Disconnected (0002) 
eth1: WPA, WPA2, AES, TKIP, WEP128, WEP64 supported 
eth1: at 0000:06:02.0 (MAC address 00:14:A5:62:61:FB) ready 
Bluetooth: HIDP (Human Interface Emulation) ver 1.1 
i2c /dev entries driver 
ppdev: user-space parallel port driver 
ppdev0: claim the port first 
ppdev1: claim the port first 
ppdev2: claim the port first 
ppdev3: claim the port first 
ADDRCONF(NETDEV_UP): eth1: link is not ready 
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1 
[drm] Initialized drm 1.0.1 20051102 
eth0: no IPv6 routers present 
UDF-fs INFO UDF 0.9.8.1 (2004/29/09) Mounting volume 'DVD_VIDEO', timestamp 
2003/12/01 19:20 (1ed4) 
loop: loaded (max 8 devices) 
 
Comment 2 Partha Bagchi 2006-03-10 08:49:12 EST
I can second this bug: I get the same error except the rip and rsp addresses are
different:
init[1]: segfault at ffffffffffffffc0 rip:00000000004cfaa3 rsp:00007fffffc47098

(Same - Cannot allocate resource region 7 & 8
Comment 3 LarryT 2006-03-10 08:58:00 EST
Have just installed kernel-2.6.15-1.2038_FC5 on a x64_86. 
SATA drive amd 2.6go with 1.3Go DDR.
Absolutly no problem.
Works fine and very speed.
Comment 4 Philippe Rigault 2006-03-10 10:29:03 EST
<request> 
Please use attachments instead of flooding the text areas with all kinds of 
dumps: 
- It preserves exact file content (i.e spaces, tabs) 
- It nicely separates different components 
- It makes the bug readable 
</request> 
 
Works here on AMD Turion64 (Acer Ferrari 4005WLMi) 
 
Will test and report on two other x86_64 boxes: 
 - Sun Ultra20 
 - Sunfire 4200 
 
 
Comment 5 Philippe Rigault 2006-03-10 11:19:44 EST
>  Works here on AMD Turion64 (Acer Ferrari 4005WLMi)  
Sorry, I did not read the version right, I haven't tested 
kernel-2.6.15-1.2038_FC5 
 
What works here on x86_64 is: 
 
kernel-2.6.15-1.2032_FC5 
kernel-2.6.15-1.2039_FC5 
 
They work both on Acer Ferrari 4005 and Sun Ultra20 
 
Comment 6 Philippe Rigault 2006-03-10 11:23:50 EST
From comment 1: 
 
dmesg  
Bootdata ok (command line is ro root=/dev/VolGroup01/LogVol00 rhgb quiet)  
Linux version 2.6.15-1.2032_FC5 (bhcompile@hs20-bc1-5.build.redhat.com) (gcc  
             ^^^^^^^^^^^^^^^^^^^^ 
Are you sure you reported the right dmesg ? 
Comment 7 Neal Becker 2006-03-10 11:26:31 EST
I apologize for any confusion - I was showing the dmesg from the last kernel 
that would boot - obviously I can't show dmesg from 2038! 
Comment 8 Hans de Goede 2006-03-10 11:39:13 EST
Same for me: When I boot my x86_64 system with todays rawhide kernel (-2038) my
screen fills with:
init[1] segfault at ffffffffffffffc0 rip 00000000004cf8e3 rsp 00007fffffb618e8

Which repeats itself endlessly.

2039 has this fixed for me, since I see the exact same addresses for the error
as the original reporter I guess that means it is fixed.

2039 can be downloaded from:
http://people.redhat.com/davej/kernels/Fedora/devel/

Can you test this one please?
Comment 9 Clyde E. Kunkel 2006-03-10 11:42:51 EST
With todays rawhide (3/10/06) fresh net install on LVs over software raid5, the
initrd image is not being created.  However, on another system, NOT LVs over
software raid5, initrd was created.  Don't know if this is the same error or
related.  Looking at other bug reports now.
Comment 10 Neal Becker 2006-03-10 11:49:58 EST
2039 is running OK. 
 
I do get these messages: 
 
PCI: Cannot allocate resource region 7 of bridge 0000:00:04.0 
PCI: Cannot allocate resource region 8 of bridge 0000:00:04.0 
PCI-DMA: Disabling IOMMU. 
 
Don't know if they're significant 
Comment 11 Gianluca Cecchi 2006-03-10 13:26:15 EST
2039 is ok also for me, with other packages up to date as of 09/03/06.
PC is Dell sx280 with Intel EM64t
I don't have the lines reported by Neal
I have:
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
hpet0: at MMIO 0xfed00000 (virtual 0xffffffffff5fe000), IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
PCI-DMA: Disabling IOMMU.

below cpuinfo (actually ht is enabled and there is the same for cpu 1)
[gcecchi@pevit00 ~]$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 2.80GHz
stepping        : 1
cpu MHz         : 2793.127
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 3
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc
pni monitor ds_cpl cid cx16 xtpr
bogomips        : 5592.28
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:

lspci is:
00:00.0 Host bridge: Intel Corporation 915G/P/GV/GL/PL/910GL Processor to I/O
Controller (rev 04)
00:01.0 PCI bridge: Intel Corporation 915G/P/GV/GL/PL/910GL PCI Express Root
Port (rev 04)
00:02.0 VGA compatible controller: Intel Corporation 82915G/GV/910GL Express
Chipset Family Graphics Controller (rev 04)
00:02.1 Display controller: Intel Corporation 82915G Express Chipset Family
Graphics Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 1 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface
Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller
(rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit
Ethernet PCI Express (rev 01)

Comment 12 Partha Bagchi 2006-03-10 16:12:09 EST
2039 is running OK. 
 
However, I am seeing this at boot time: 
 
PCI: Cannot allocate resource region 7 of bridge 0000:00:04.0 
PCI: Cannot allocate resource region 8 of bridge 0000:00:04.0 

Linux 2.6.15-1.2039_FC5 #1 SMP Thu Mar 9 22:45:05 EST 2006 x86_64 x86_64 x86_64
GNU/Linux
AMD 64bit Turion

(Now if we can only fix the mouse problem .....)



Comment 13 Dave Jones 2006-03-10 16:19:35 EST

*** This bug has been marked as a duplicate of 182731 ***

Note You need to log in before you can comment on or make changes to this bug.